Package com.documentum.fc.client

# Interface IDfServerMap

All Superinterfaces:
  `IDfTypedObject`

public interface IDfServerMap extends IDfTypedObject
Provides information about known Docbase Servers.

Since:
  5.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getClientProximity(int index)`
  Indicates how far the server is from the client.
  `String`
  `getConnectionAddress(int index)`
  This method returns the value of the i_server_connection_address repeating attribute of the server locator object at the specified index.
  `String`
  `getConnectionAddress6(int index)`
  This method returns the value of the i_server_connection_addressv6 repeating attribute of the server locator object at the specified index.
  `String`
  `getConnectionProtocol(int index)`
  This method returns the value of the i_connection_protocol repeating attribute of the server locator object at the specified index.
  `int`
  `getDocbaseId()`
  Returns the Docbase ID.
  `int`
  `getDocbaseId(int index)`
  Returns the Docbase ID.
  `String`
  `getDocbrokerHostAddress(int index)`
  Returns IP address of the host machine on which the responding connection broker resides.
  `String`
  `getDocbrokerHostName(int index)`
  Returns Name of the host machine on which the responding connection broker resides.
  `int`
  `getDocbrokerPortNumber(int index)`
  Returns Port number of the port on the host machine that the connection broker is using for communications.
  `String`
  `getDocbrokerVersion(int index)`
  Returns Version number of the responding connection broker.
  `String`
  `getDormancyStatus(int index)`
  Returns the status of the server at the specified index.
  `String`
  `getHostName(int index)`
  Returns the name of the host machine where the Server resides.
  `int`
  `getKeepEntryInterval(int index)`
  Determines how long the connection broker will keep the server�s entry in the absence of a checkpoint message from the server.
  `IDfTime`
  `getLastCheckpoint(int index)`
  Returns the time that the server last reported to the connection broker.
  `String`
  `getLastStatus(int index)`
  Returns the status of the Server process.
  `String`
  `getLogonSupport(int index)`
  Returns Type of logon (Will be NT_Unified_logon for servers running under Windows) This method returns the value of the i_logon_support repeating attribute of the server locator object at the specified index.
  `IDfTime`
  `getNextCheckpoint(int index)`
  Returns the time that the server is next expected to report to the connection broker.
  `int`
  `getProcessId(int index)`
  Returns the Process ID of the Server.
  `int`
  `getServerCount()`
  Returns the DocbaseServer count.
  `String`
  `getServerName(int index)`
  Returns the name of the Docbase Server.
  `String`
  `getServerVersion(int index)`
  Returns the version number of the Server.
  `boolean`
  `getSilentLogin(int index)`
  This method returns the value of the a_silent_login attribute of the server locator object at the specified index.

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getDocbaseId

    int getDocbaseId()
    Returns the Docbase ID. This method returns the value of the i_docbase_id attribute of the server locator object.

  - ### getDocbaseId

    int getDocbaseId(int index)
    Returns the Docbase ID. This method returns the value of the i_docbase_id attribute of the server locator object.

  - ### getServerCount

    int getServerCount()
    Returns the DocbaseServer count. This method returns the number of servers for a particular docbase.

  - ### getSilentLogin

    boolean getSilentLogin(int index)
    This method returns the value of the a_silent_login attribute of the server locator object at the specified index.

  - ### getServerName

    String getServerName(int index)
    Returns the name of the Docbase Server. This method returns the value of the r_server_name attribute of the server locator object.

  - ### getHostName

    String getHostName(int index)
    Returns the name of the host machine where the Server resides. This method returns the value of the r_host_name attribute of the server locator object at the specified index.

  - ### getServerVersion

    String getServerVersion(int index)
    Returns the version number of the Server. This method returns the value of the r_server_version attribute of the server locator object at the specified index.

  - ### getProcessId

    int getProcessId(int index)
    Returns the Process ID of the Server. This method returns the value of the r_process_id attribute of the server locator object at the specified index.

  - ### getLastStatus

    String getLastStatus(int index)
    Returns the status of the Server process. The value is one of: starting, open, stopped, or presumed down. This method returns the value of the r_last_status attribute of the server locator object at the specified index.

  - ### getLastCheckpoint

    IDfTime getLastCheckpoint(int index)
    Returns the time that the server last reported to the connection broker. This method returns the value of the r_last_checkpoint attribute of the server locator object at the specified index.

  - ### getNextCheckpoint

    IDfTime getNextCheckpoint(int index)
    Returns the time that the server is next expected to report to the connection broker. This method returns the value of the r_next_checkpoint attribute of the server locator object at the specified index.

  - ### getClientProximity

    int getClientProximity(int index)
    Indicates how far the server is from the client. The value rises directly in relation to the distance. This method returns the value of the r_client_proximity attribute of the server locator object at the specified index.

  - ### getKeepEntryInterval

    int getKeepEntryInterval(int index)
    Determines how long the connection broker will keep the server�s entry in the absence of a checkpoint message from the server. This method returns the value of the r_keep_entry_interval attribute of the server locator object at the specified index.

  - ### getConnectionProtocol

    String getConnectionProtocol(int index)
    This method returns the value of the i_connection_protocol repeating attribute of the server locator object at the specified index.

  - ### getConnectionAddress

    String getConnectionAddress(int index)
    This method returns the value of the i_server_connection_address repeating attribute of the server locator object at the specified index.

  - ### getConnectionAddress6

    String getConnectionAddress6(int index)
    This method returns the value of the i_server_connection_addressv6 repeating attribute of the server locator object at the specified index.

  - ### getLogonSupport

    String getLogonSupport(int index)
    Returns Type of logon (Will be NT_Unified_logon for servers running under Windows) This method returns the value of the i_logon_support repeating attribute of the server locator object at the specified index.

  - ### getDocbrokerVersion

    String getDocbrokerVersion(int index)
    Returns Version number of the responding connection broker. This method returns the value of the i_docbroker_version repeating attribute of the server locator object at the specified index.

  - ### getDocbrokerHostName

    String getDocbrokerHostName(int index)
    Returns Name of the host machine on which the responding connection broker resides. This method returns the value of the i_host_name repeating attribute of the server locator object at the specified index.

  - ### getDocbrokerHostAddress

    String getDocbrokerHostAddress(int index)
    Returns IP address of the host machine on which the responding connection broker resides. This method returns the value of the i_host_addr repeating attribute of the server locator object at the specified index.

  - ### getDocbrokerPortNumber

    int getDocbrokerPortNumber(int index)
    Returns Port number of the port on the host machine that the connection broker is using for communications. This method returns the value of the i_port_number repeating attribute of the server locator object at the specified index.

  - ### getDormancyStatus

    String getDormancyStatus(int index)
    Returns the status of the server at the specified index.
    Parameters:
      `index` - The index into the servermap from which the value has to be picked up
    Returns:
      a String representing the status, possible values are ACTIVE,DORMANT, DORMANCY_REQUESTED